public class Cuenta {
private float saldo;
	
	public Cuenta() {
		saldo = 0f;
	}
	
	public Cuenta(float s) {
		saldo = s;
	}

	public float getSaldo() {
		return saldo;
	}

	public void setSaldo(float saldo) {
		this.saldo = saldo;
	}
	
	public void deposito(float c) throws NegException {
		if (c <= 0)
			throw new NegException();
		else
		   saldo += c;
	}
	
	public void retiro(float r) throws Sobregiro, NegException {
		if (r <= 0f)
			throw new NegException();
		else
			if (saldo < r)
				throw new Sobregiro();
			else
		       saldo -= r;
	}
}
